tpm2_readpublic(8)

NAME
tpm2_readpublic - Access to the public area of a loaded object.

SYNOPSIS
tpm2_readpublic[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --object|--contextObject|--opu| ]

Access to the public area of a loaded object.

DESCRIPTION
tpm2_readpublic Access to the public area of a loaded object.

OPTIONS

-H ,--object
    The loaded object handle

-c ,--contextObject
    filename for object context

-o ,--opu
    The output file path, recording the public portion of the object

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_readpublic

    tpm2_readpublic -H 0x81010002 --opu <pubKeyFileName>
    tpm2_readpublic -c obj.context --opu <pubKeyFileName>